summaryrefslogtreecommitdiff
path: root/tests/split/filter.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/split/filter.sh')
-rwxr-xr-xtests/split/filter.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/split/filter.sh b/tests/split/filter.sh
index 93a1bebbe..55610e417 100755
--- a/tests/split/filter.sh
+++ b/tests/split/filter.sh
@@ -44,7 +44,7 @@ split -e -n 10 --filter='xz > $FILE.xz' /dev/null || fail=1
stat x?? 2>/dev/null && fail=1
# Ensure this invalid combination is flagged
-split -n 1/2 --filter='true' /dev/null 2>/dev/null && fail=1
+returns_ 1 split -n 1/2 --filter='true' /dev/null 2>&1 || fail=1
# Ensure SIGPIPEs sent by the children don't propagate back
# where they would result in a non zero exit from split.